Package htsjdk.samtools

# Class BinningIndexContent.BinList

java.lang.Object
htsjdk.samtools.BinningIndexContent.BinList

All Implemented Interfaces:
  `Iterable<Bin>`

Enclosing class:
  `BinningIndexContent`

public static class BinningIndexContent.BinList extends Object implements Iterable<Bin>
This class is used to encapsulate the list of Bins store in the BAMIndexContent While it is currently represented as an array, we may decide to change it to an ArrayList or other structure

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`maxBinNumber`
`final int`
`numberOfNonNullBins`

## Constructor Summary

Constructors
Constructor
Description
`BinList(Bin[] binArray, int numberOfNonNullBins)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Bin`
`getBin(int binNumber)`
`int`
`getNumberOfNonNullBins()`
`int`
`hashCode()`
`Iterator<Bin>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### numberOfNonNullBins

public final int numberOfNonNullBins

### maxBinNumber

public final int maxBinNumber

## Constructor Details

### BinList

public BinList(Bin[] binArray, int numberOfNonNullBins)

Parameters:
  `binArray` - a sparse array representation of the bins. The index into the array is the bin number.
  `numberOfNonNullBins` -

## Method Details

### getBin

public Bin getBin(int binNumber)

### getNumberOfNonNullBins

public int getNumberOfNonNullBins()

### iterator

public Iterator<Bin> iterator()

Specified by:
  `iterator` in interface `Iterable<Bin>`
Returns:
  An iterator over all non-empty bins.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`